﻿/*-------- BASE -----------*/
html{

	width:1920px;
	height:1080px;
        font-family: 'Berkshire Swash', cursive;

}body{

    margin:0;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
	background-image : url(../lib/background.jpg) ;

}div{

	display:none;
	position: relative;

}iframe{
    
     position: absolute; /* le bloc se positionnera en haut à gauche de ta page car il n'a pas de bloc parent */
    bottom: 0; /* avec cette propriété, le bloc se placera tout en bas à gauche de ta page */
    width: 100%; /* il aura une largeur de 100%, donc toute la page */
    
}/*div:not(.EDGE-24637924){

	display:none;
	position: relative;

}.EDGE-24637924{

    opacity: 0.5;
    position: absolute !important;
    margin-top: 240px !important;

}.EDGE-24637924 div{
    
    display:block;

}*/ul{

    list-style-type: none;
    padding: 0;
    margin-left: 10px;
    width: 90px;
    font-size: 20px;

}textarea{
    
    border-radius: 10px;
    height: 90px;
    background-color: white;
    
}textarea:disabled{
    
    background-color: #EFE4D8;
    
}input[type="checkbox"]{
    
    background-color: #EFE4D8;
    
}

/*------- Startgame DIV---------*/

button{
    
    font-family: 'Berkshire Swash', cursive;
    
}#start_game_div{

	display: block;
    position: absolute;
    top: 0;
    left: 0;

}#start_game_div h1{
    
    font-size: 65px;
    color: rgb(249, 222, 179);
    text-shadow: 2px 2px 6px #0C0C0C;
    /* margin: 0px; */
    margin-bottom: -10px;
    padding-top: 10px;
    padding-left: 18px;
    
}#start_game_div button{
    
    border: none;
    background: none;
    font-size: 55px;
    color: #C72323;
    margin: 0px;
    margin-bottom: -15px;
    margin-left: 70px;
    text-shadow: 0px 2px 5px #D09247;
    
}#start_game_div button:hover{
    
    color: gray;
    text-shadow: 0px 2px 5px #E6D7D6;
    cursor: pointer;
    
}#start_game_div input{
    
    margin-top: 40px;
    margin-left: 70px;
    height: 50px;
    width: 239px;
    border-style: dashed;
    border-width: 3px;
    text-align: center;
    font-size: 20px;
    margin-bottom: 10px;
    background-image: url(../lib/pattern.png);
    
}#start_game_div input:hover{
	background-color:#666;	
	}

/*------- GAME DIV -------------*/


#game_div{

	width: 1920px;
    height: 1080px;
    position: absolute;
	z-index:0;

}#game_div h1{

    margin: 0;
    margin-bottom: 20px;

}#img_background{

    width: 100%;
    height: 100%;
    z-index:0;
	position: absolute;
	top: 0;
    left: 0;

}#img_canvas{

	display:none;
    width: 1920px;
    height: 1030px;
    z-index:10;
	position: absolute;
    left: 0;
    top: 50px;
	
}#panier{

    position: absolute;
    left: 0;
    top: 0;
    overflow: overlay;
    z-index:99;
        
    width: 200px;
    height: 300px;
    border-style: dashed;
    background-color: rgba(255, 255, 255, 0.70);
    text-align: center;
    cursor: move;
    background-image: url(../lib/pattern.png);
    max-height: 900px;

}#game_option{

    position: absolute;
    top: 0;
    left: 210px;
    width: 200px;
    height: 300px;
    border-style: dashed;
    /* border-top-width: 40px; */
    overflow: overlay;
    background-color: rgba(255, 255, 255, 0.70);
    z-index: 99;
    overflow: hidden;
    text-align: center;
    cursor: move;
    /* margin: 0px; */
    background-image: url(../lib/pattern.png);

}#game_option button{
    
    background-color: #B39A7C;
    border-radius: 10px;
    height: 30px;
    width: 110px;
    border-style: none;
    font-size: 15px;
    
}#game_option button:hover{
    
    background-color: gray;
    cursor: pointer;
    
}#loader{

    position: absolute;
    z-index: 99;
    width: 1920px;
    height: 780px;
    background-color: rgba(0, 0, 0, 0.6);
    text-align: center;
    vertical-align: middle;
    padding-top: 300px;

}
/*------- GENERAL CLASS --------*/

.add_zone{

    width: 233px;
    height: 233px;
    border-style: dashed;
    margin: 5px;
    margin-left: 70px;
    font-size: 40px;
    text-align: center;
    background-image: url(../lib/pattern.png);

}img.objects{

	/*width: 50px;
    height: 50px;*/
	z-index:11;

}img.objects:hover{

    cursor:move;

}img.mini{

	width: 50px;
    height: 50px;
	

}.delete_object{

	position: absolute;
    margin-top: 11px;
    margin-left: 5px;
	cursor: pointer;

}.object_selected{

	box-shadow: 0px 0px 5px 7px blue;

}.object_movable {

    box-shadow: 0px 11px 6px -3px blue;
	
}.object_visible{

	border-width: 0;
    border-bottom-width: 5px;
    border-color: white;
    border-style: solid;

}

/*------- CREATE GAME DIV -------------*/

#objects_box{

    width: 233px;
    max-height: 200px;
    border-style: dashed;
    overflow: overlay;
    margin-left: 70px;
    background-image: url(../lib/pattern.png);
    text-align: center;
    margin-top: 10px;

}#add_new_object:hover{
    
    cursor:pointer;
    border-color: red; 
    
}#add_new_background:hover{
    
    cursor:pointer;
    border-color: red;
    
}

/*------ LOAD GAME DIV ------------*/

#load_game_div select{
    
    margin-top: 40px;
    margin-left: 70px;
    height: 50px;
    width: 239px;
    border-style: dashed;
    border-color: black;
    border-width: 3px;
    text-align: center;
    font-size: 20px;
    margin-bottom: 10px;
    background-image: url(../lib/pattern.png);
    
    
}#load_game_div option{
    
    background-color: #EFE4D8;
    
}#load_game_div option:hover{
    
    background-color: red;
    
}


/*------ WELCOME DIV FOR USERS ------------*/

#welcome_div p{

    margin-left: 70px;}

#welcome_div select{

    margin-left: 70px;
    height: 50px;
    width: 239px;
    border-style: dashed;
    border-color: black;
    border-width: 3px;
    text-align: center;
    font-size: 20px;
    margin-bottom: 10px;
    background-image: url(../lib/pattern.png);}

#join_game{

    margin-left: 00px !important;}


